"""fix dowloads for missing options

Revision ID: 6d8031ca676a
Revises: 289f1fa74088
Create Date: 2022-12-09 11:23:57.216345

"""
from alembic import op

# revision identifiers, used by Alembic.
revision = "6d8031ca676a"
down_revision = "289f1fa74088"
branch_labels = None
depends_on = None


old = """#!/bin/sh
set -o errexit
chmod 770 .

{{^multiple_fetch}}./productfetcher --for-download --product-locator $2{{/multiple_fetch}}
{{#multiple_fetch}}./productfetcher --for-download{{product_locator}}{{/multiple_fetch}}

{{^create_tar_file}}./deliver -r . --prefix $1{{/create_tar_file}}
{{#create_tar_file}}./deliver --tar -r . --prefix $1{{/create_tar_file}}
"""


new = """#!/bin/sh
set -o errexit
chmod 770 .

./productfetcher --for-download {{#sdm_only}}--sdm-only{{/sdm_only}}{{^multiple_fetch}} --product-locator $2{{/multiple_fetch}}{{#multiple_fetch}}{{product_locator}}{{/multiple_fetch}}

./deliver {{#create_tar_file}}--tar{{/create_tar_file}} -r . --prefix $1
"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = E'{new}'
        WHERE filename = 'download.sh'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content = E'{old}'
        WHERE filename = 'download.sh'
        """
    )
