# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""remove qa step

Revision ID: dd04b15a2b10
Revises: 8afb44ce2d44
Create Date: 2021-08-20 13:49:41.736265

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "dd04b15a2b10"
down_revision = "8afb44ce2d44"
branch_labels = None
depends_on = None


def upgrade():
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = E'prepare-and-run-workflow std_calibration\nawait-workflow'
        WHERE capability_name = 'std_calibration'
        """
    )
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = E'prepare-and-run-workflow std_cms_imaging\nawait-workflow'
        WHERE capability_name = 'std_cms_imaging'
        """
    )


def downgrade():
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = E'prepare-and-run-workflow std_calibration\nawait-workflow\nawait-qa'
        WHERE capability_name = 'std_calibration'
        """
    )
    op.execute(
        """
        UPDATE capabilities
        SET capability_steps = E'prepare-and-run-workflow std_cms_imaging\nawait-workflow\nawait-qa'
        WHERE capability_name = 'std_cms_imaging'
        """
    )
